function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"2",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);
	
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"2",100,"messageinfo")
		end;	
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("photolab",16,0);
		--Emitters(true)
		DarkScreen(false);
		if flags.minicomplete1 then
		    StopEmiter("MGlass");
			flags.minitext2=true;
			speciale_action(2,29,true);
			Set_Cursor(29,2);		
			speciale_action(2,100,true);
			Set_Cursor(100,2);			
			Set_Cursor(14,3);

		return; end;	
		-- loadresource("data\\2\\1\\0029.png","a0102",102);
		-- addactivobjecttogame(102,"a0102",0,2000,"","");
		-- AddElement("gr",102)
	return; end;
	
	if sender==36 then
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("photolab");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete1=true;
		playeffect("miniC");
		StartTimer(2100,1)
		BlockCursor(true);
	return; end;
		
	if sender==26 then
		if id==1 then
			finish_mini_game(true);
		return;end;
	return;end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"2",100,"messageinfo")
		return;end;	
		
		if id==5000 and skipping then
			if not flags.minicomplete1 then
				playeffect("skip");
				finish_mini_game(true);
			return;end;	
		return;end;	
			
		if id==1000 then
			finish_mini_game(false);
			playeffect("close");
			clear_satelite_leaf("photolab");
			DeleteResource("m2_btn" );
			DeleteResource("m2_0001");			
			DeleteResource("m2_0002");
			DeleteResource("m2_0003");			
		return;end;
	
		if id==1001 or id==1002 then
			CreateWindow(100,100,"225",1);
		return;end;
	return;end;
			
end;
function mini_delete ()

end;